<?php
class Rekko_Custom_Icons
{
	 public function __construct()
    {
        add_filter( 'elementor/icons_manager/additional_tabs' , array($this , 'add_icon'));
        add_action('elementor/editor/before_enqueue_scripts' , array($this , 'enqueue_styles'));

    }

    public function add_icon()
    {
    	return [
	       'themify-icons' => [
			'name' => 'themify-icons',
			'label' => __( 'Themefy Icons', 'Rekko-core' ),
			'url' => '',
			'enqueue' => '',
			'prefix' => '',
			'displayPrefix' => '',
			'labelIcon' => 'ti-wand',
			'ver' => '1.0',
			'fetchJson' => REKKO_CORE_URL.'/public/css/vendor/font/themify-icons/themify-icons.js',
			'native' => true,
         	],
	        'ion-ionicons' => [
			'name' => 'ion-ionicons',
			'label' => __( 'Ionic Icons', 'Rekko-core' ),
			'url' => '',
			'enqueue' => '',
			'prefix' => 'ion-',
			'displayPrefix' => 'ion',
			'labelIcon' => 'ion ion-android-add',
			'ver' => '1.0',
			'fetchJson' => REKKO_CORE_URL.'/public/css/vendor/font/ionicons/ionicons.js',
			'native' => true,
        	],
        	'flaticon' => [
			'name' => 'flaticon-icons',
			'label' => __( 'flaticon Icons', 'Rekko-core' ),
			'url' => '',
			'enqueue' => '',
			'prefix' => '',
			'displayPrefix' => '',
			'labelIcon' => 'flaticon-industrial-robot',
			'ver' => '1.0',
			'fetchJson' => REKKO_CORE_URL.'/public/css/vendor/font/flaticons/flaticon.js',
			'native' => true,
        	],
		];
    }

    public function enqueue_styles()
    {

    	wp_enqueue_style('ionicons-icons', REKKO_CORE_URL.'/public/css/vendor/font/ionicons/ionicons.min.css',array(), '2.0.0', 'all');
		wp_enqueue_style('themify-icons', REKKO_CORE_URL.'/public/css/vendor/font/themify-icons/themify-icons.css',array(), '2.0.0', 'all');
		wp_enqueue_style('flations-1', REKKO_CORE_URL.'/public/css/vendor/font/flaticons/flaticon.css',array(), '2.0.0', 'all');

    }
}
new Rekko_Custom_Icons;
