<?php
namespace Elementor; 
if ( ! defined( 'ABSPATH' ) ) exit; 

$html = '';
$icon = '';

    
    
    $tabs = $this->get_settings_for_display( 'tabs' );
    $settings = $this->get_settings();
    $id_int = rand(10,100);    
    $align = $settings['align'];
    $this->add_render_attribute( 'pt_class', 'class', 'qwords-accordion-block') ;
    
    $this->add_render_attribute( 'pt_class', 'class', $align) ;

    if($settings['has_icon'] == 'yes')
    {
        $icon .= sprintf('<i aria-hidden="true" class="%1$s active"></i>',esc_attr($settings['active_icon']['value'],'rekko'));
        $icon .= sprintf('<i aria-hidden="true" class="%1$s inactive"></i>',esc_attr($settings['inactive_icon']['value'],'rekko'));
    }

    ?>
<?php
if ($settings['accordion_style'] === "1") {
    ?>    
<div <?php echo $this->get_render_attribute_string( 'pt_class' ) ?> >
  <?php 
    $i=1; 
    foreach ( $tabs as $index => $item )
    {       
      if($i == 1)
      { 
        $show = "show"; 
        $style="style=display:block"; 
        $adactive="qwords-active";      
      }
      else
      { 
        $style=""; 
        $show = ""; 
        $adactive="";
      }
  ?>
      
    <div class="qwords-accordion-box <?php echo esc_attr( $adactive ) . '  '.$i;  ?>">
      <div class="qwords-ad-title">
       
        <<?php echo $settings['title_tag']; ?> class="ad-title-text">         
          <?php echo esc_html__($item['tab_title'],'rekko'); ?>  

        <?php echo $icon; ?>   
        
       </<?php echo $settings['title_tag']; ?>>

      </div>
  
      <div class="qwords-accordion-details">
        
         <p class="qwords-detail-text"> <?php echo $this->parse_text_editor($item['tab_content']); ?> </p>
       
      </div>
    </div>
   <?php $i++; } ?>
    
  </div>
  <?php } ?>