<?php
namespace Elementor;
use Rekko\Blog;
if ( ! defined( 'ABSPATH' ) )
{
  exit;
}
$settings = $this->get_settings();
$align = $settings['text_align'];
$this->add_render_attribute( 'btn_attr', 'class', 'qwords-button' );
if($settings['btn_style'] == 'btn-flat')
{
  $btn_attr =$this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-flat' );
}
if($settings['btn_style'] == 'btn-outline')
{
 $btn_attr = $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-outline' );
}
if($settings['btn_style'] == 'btn-link')
{
 $btn_attr = $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-link' );
}
global $paged;
if (empty($paged))
{
  $paged = 1;
}
$args = array(
  'post_type'         => 'post',
  'post_status'       => 'publish',
  'suppress_filters'  => 0,
  'paged' => $paged
);
$posts = new \WP_Query($args);
$slider = new Slider_Controls();
$slider->add_render_attribute($this , $settings);
if(!empty($settings)){
  $data = $settings;
}
?>
<div class="qwords-blog text-<?php echo esc_attr($align,'rekko-core'); ?>">
  <div class="owl-carousel" <?php echo $this->get_render_attribute_string('slider'); ?>>
    <?php
    if ( $posts -> have_posts() )
    {
      while ( $posts -> have_posts() )
      {
        $posts->the_post();
        
        echo'<div class="item">';
        Blog\Content::instance()->blog($data,$btn_attr);
        echo '</div>';
      }
      wp_reset_query();
    }
    ?>
  </div>
</div>
