<?php
namespace Elementor;
use Rekko\Blog;
if ( ! defined( 'ABSPATH' ) )
{
  exit;
}
$settings = $this->get_settings();
$align = $settings['text_align'];

$this->add_render_attribute( 'btn_attr', 'class', 'qwords-button' );
if($settings['btn_style'] == 'btn-flat')
{
  $btn_attr =$this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-flat' );
}
if($settings['btn_style'] == 'btn-outline')
{
 $btn_attr = $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-outline' );
}
if($settings['btn_style'] == 'btn-link')
{
 $btn_attr = $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-link' );
}
   global $paged;
  if (empty($paged)) {
  $paged = 1;
  }
  $args = array(
  'post_type'         => 'post',
  'post_status'       => 'publish',
  'suppress_filters'  => 0,
  'paged' => $paged
  );
  $posts = new \WP_Query($args);

    $pagination_args = array(
    //'base'            => get_pagenum_link(1) . '%_%',
    'format'      => '?paged=%#%',
    'total'           => $posts->max_num_pages,
    'current'         => $paged,
    'show_all'        => False,
    'end_size'        => 1,
    'mid_size'        => 2,
    'prev_next'       => True,
    'prev_text'       =>  esc_html__( 'Previous page', 'yog-core' ),
    'next_text'       => esc_html__( 'Next page', 'yog-core' ),
    'type'            => 'list',
    'add_args'        => false,
    'add_fragment'    => ''
    );
   $paginate_links = paginate_links($pagination_args);
    if($settings['blog_style'] === "1")
    {
        $col = 'col-lg-12';
        $grid = 'qwords-blog-col-1';
    }
    if($settings['blog_style'] === "2")
    {
        $col = 'col-lg-6';
        $grid = 'qwords-blog-col-2';
    }
    if($settings['blog_style'] === "3")
    {
        $col = 'col-lg-4';
        $grid = 'qwords-blog-col-3';
    }
    if(!empty($settings)){
  $data = $settings;
}
  ?>
<div class="qwords-blog <?php echo esc_attr($grid); ?>">
  <div class="row">

    <?php
      if ( $posts -> have_posts() )
      {
      while ( $posts -> have_posts() )
      {
        $posts->the_post();

      ?>
          <div class="<?php echo esc_attr__($col,'pilelabs'); ?>">
          <?php Blog\Content::instance()->blog($data,$btn_attr); ?>

          </div>

    <?php
      }
      if ($paginate_links) {

        echo '<div class="col-lg-12 col-md-12 col-sm-12">
          <div class="qwords-pagination">
              <nav aria-label="Page navigation">';
              printf( esc_html__('%s','rekko'),$paginate_links);
              echo '</nav>
            </div>
          </div>';
    }

      }
      wp_reset_query();

      ?>
  </div>
</div>