<?php
namespace Elementor;
if (!defined('ABSPATH')) {
  exit;

}
$settings = $this->get_settings();
$settings = $this->get_settings_for_display();

$this->add_render_attribute('progress', 'data-size', $settings['progress_size']['size']);
$this->add_render_attribute('progress', 'data-thickness', $settings['thickness']['size']);
$this->add_render_attribute('progress', 'data-skill-level', $settings['progress_number']['size']);
$this->add_render_attribute('progress', 'data-empty-color', $settings['empty_color']);
$this->add_render_attribute('progress', 'data-fill-color', $settings['fill_color']);

?>

<div class="qwords-circle-progress qwords-circle-progress-1">
    <div class="qwords-circle-progress-bar circle" <?php echo $this->get_render_attribute_string('progress'); ?>>
        <span class="qwords-progress-count"><?php echo $settings['progress_number']['size']; ?></span>
    </div>
    <div class="qwords-progress-details">
        <h6 class="qwords-progress-subtitle"><?php echo esc_html($settings['sub_title_text']); ?></h6>
        <h5 class="qwords-progress-title"><?php echo esc_html($settings['title_text']); ?></h5>
        <span class="qwords-progress-desc"><?php echo esc_html($settings['description_text']); ?></span>
    </div>
</div>
        