<?php
namespace Elementor;
if (!defined('ABSPATH')) {
	exit;
}

$settings = $this->get_settings();
$tabs = $this->get_settings_for_display( 'list_items_slider' );

$slider = new Slider_Controls();
$slider->add_render_attribute($this , $settings);

?>
 
<div class="qwords-service-box-slider qwords-style-3 <?php echo $settings['content_align']; ?>" >
<div class="owl-carousel" <?php echo $this->get_render_attribute_string('slider'); ?>> 
     <?php 
  foreach ( $tabs as $index => $item )
  {
  ?>
     <div class="item">
        <div class="qwords-service-box qwords-style-3">
     <div class="qwords-service-main-icon">
     <i class="<?php echo esc_attr($item['selected_icon']['value']);?>" aria-hidden="true"></i>
     </div>
     <?php  $title_html= $item['title_text'];

            $title = sprintf('<%2$s class="qwords-service-box-title">%1$s</%2$s>',$title_html,$item['title_tag'] );
             echo $title;

            if(!empty($item['desc_text']))
            {
                $desc_html = $this->parse_text_editor($item['desc_text']);
            }
            else
            {
                $desc_html = "";
            }
            ?>

     <?php echo $desc_html ?>

 <div class="qwords-btn-container">
     <div class="qwords-button-block">
        <?php 
if($settings['btn_style'] == 'btn-flat')
{

  $this->add_render_attribute( 'btn_attr'.$index, 'class', 'qwords-button-flat' );
}

if($settings['btn_style'] == 'btn-outline')
{

  $this->add_render_attribute( 'btn_attr'.$index, 'class', 'qwords-button-outline' );
}

if($settings['btn_style'] == 'btn-link')
{
  $this->add_render_attribute( 'btn_attr'.$index, 'class', 'qwords-button-link' );
}

$this->add_render_attribute( 'btn_attr'.$index, 'class', 'qwords-button' );

if ( ! empty( $item['btn_link_url']['url'] ) )
{
$this->add_render_attribute( 'btn_attr'.$index, 'href', $item['btn_link_url']['url'] );

if ( $item['btn_link_url']['is_external'] ) {
    $this->add_render_attribute( 'btn_attr'.$index, 'target', '_blank' );
}

if ( ! empty( $item['btn_link_url']['nofollow'] ) ) {
    $this->add_render_attribute( 'btn_attr'.$index, 'rel', 'nofollow' );
}
}

?>
        <a <?php echo $this->get_render_attribute_string('btn_attr'.$index); ?>>
        <span class="text"><?php echo esc_html($item['button_text_name']); ?></span>
        <i class="ion-plus"></i>
        </a>
    </div>  
</div></div>
</div>
<?php }?>
</div>
</div>