<?php
namespace Elementor;
if (!defined('ABSPATH')) {
    exit;
}
$html = '';
$settings = $this->get_settings();
$settings = $this->get_settings_for_display();
$tabs = $this->get_settings_for_display( 'tabs' );
// $args = array(
//     'post_type'        => 'team',
//     'post_status'      => 'publish',
//     'suppress_filters' => 0,
// );
// $posts = new \WP_Query($args);
// global $post;
$this->add_render_attribute('slider', 'data-dots', $settings['dots']);
$this->add_render_attribute('slider', 'data-nav', $settings['nav_arrow']);
$this->add_render_attribute('slider', 'data-desk_num', $settings['desk_num']);
$this->add_render_attribute('slider', 'data-lap_num', $settings['lap_num']);
$this->add_render_attribute('slider', 'data-tab_num', $settings['tab_num']);
$this->add_render_attribute('slider', 'data-mob_num', $settings['mob_num']);
$this->add_render_attribute('slider', 'data-mob_sm', $settings['mob_num']);
$this->add_render_attribute('slider', 'data-autoplay', $settings['autoplay']);
$this->add_render_attribute('slider', 'data-loop', $settings['loop']);
$this->add_render_attribute('slider', 'data-margin', $settings['margin']['size']);
?>
<?php
if ($settings['team_style'] === '1')
{
?>
<div class="qwords-team qwords-team-box-style-1 ">
     <div class="owl-carousel" <?php echo $this->get_render_attribute_string('slider'); ?>>
            <?php
             foreach ( $tabs as $index => $item )
            {
             ?>
             <div class="item">
                <div class="qwords-team-box">
                    <div class="qwords-team-img">
                        <img src="<?php echo esc_url($item['image']['url']); ?>" alt="team-image">
                        <div class="qwords-team-social">
                            <ul>
                                <?php
                                foreach ($item['social_icon_lists'] as $ind => $items ) {
                                    $social = str_replace( 'fa fa-', 'fab fa-', $items['social'] );
                                    // print_r($social);
                                    $link_key = 'link_' . $ind .$index;
                                    $this->add_render_attribute( $link_key, 'href', $items['link']['url'] );
                                    if ( $items['link']['is_external'] ) {
                                        $this->add_render_attribute( $link_key, 'target', '_blank' );
                                    }
                                    if ( $items['link']['nofollow'] ) {
                                        $this->add_render_attribute( $link_key, 'rel', 'nofollow' );
                                    }
                                    ?>
                                    <li>
                                        <a class="<?php echo $social ?>" <?php echo $this->get_render_attribute_string( $link_key ); ?>>
                                            <span class="sr-only"><?php echo ucwords( $social ); ?></span>
                                        </a>     </li>
                                    <?php } ?>
                                </ul>
                            </div>
                        </div>
                        <div class="qwords-team-info">
                            <span class="qwords-team-designation"><?php echo esc_html($item['sub_title_text']); ?></span>
                           <h5 class="qwords-member-name"><?php echo esc_html($item['title_text']); ?></h5>

                       </div>
                 </div>
             </div>
          <?php } ?>
    </div>
</div>
 <?php } ?>
