<?php

namespace Elementor;

if (!defined('ABSPATH')) {

	exit;

}

$html = '';

$settings = $this->get_settings();
$tabs = $this->get_settings_for_display( 'tabs' );

$slider = new Slider_Controls();
$slider->add_render_attribute($this , $settings);

?>

<?php

if($settings['testimonial_style'] == "1")

{ 
  ?>
  <div class="qwords-testimonial qwords-testimonial-style-1 ">
   <div class="owl-carousel" <?php echo $this->get_render_attribute_string('slider'); ?>>
     <?php

     foreach ( $tabs as $index => $item )
     { 

       ?>
       <div class="item">
        <div class="qwords-testimonial-box qwords-testimonialbox-1 <?php echo $settings['content_align']; ?>">
          <div class="qwords-testimonial-media">
            <div class="qwords-testimonial-img">
              <img src="<?php echo esc_url($item['image']['url']); ?>" alt="testimonial-image">
            </div>
            <div class="qwords-testimonial-meta">

              <h5><?php echo esc_html($item['title_text']); ?></h5>
              <span><?php echo esc_html($item['desg_text']); ?></span>
            </div>
          </div>
          <div class="qwords-testimonial-info">
            <div class="qwords-quote">
              <i class="fa fa-quote-right" aria-hidden="true"></i>
            </div>
            <p class="qwords-testimonial-description"><?php echo $this->parse_text_editor($item['description_text']); ?>
            <div class="qwords-testimonial-star">
             <?php
             for($i=1;$i<=$item['star_num'];$i++)
             { 
               ?>
               <i class="fa fa-star"></i>
             <?php } ?>
           </div>
        </div>
      </div>
    </div>
  <?php } ?>
</div>
</div>
<?php } ?>

