<?php
function Rekko_core_get_layout_options($name = '' , $type ='' , $title ='' , $subtitle = '')
{
	if($type == 'column')
	{
	 return array(
            'id'        => $name.'_layout',
            'type'      => 'select',
            'title'     => esc_html__( $title ,'rekko-core' ),
            'subtitle' => wp_kses( __( $subtitle ,'rekko-core' ), array( 'br' => array() ) ),
            'options'   => array(

                                '1'=> esc_html__( 'One Columns','rekko-core'), 
                                '2'=> esc_html__( 'Two Columns','rekko-core' ), 
                                '3'=> esc_html__( 'Three Columns','rekko-core'),
                                '4'=> esc_html__( 'Four Columns','rekko-core'), 
                                // '5'=> esc_html__( 'Five Columns','rekko-core'), 
                            ),
            'default'   => '1',
        );
 	}
 	if($type == 'sidebar')
 	{
 		  return array(
            'id'        => $name.'_sidebar',
            'type'      => 'select',
            'title'     => esc_html__( $title ,'rekko-core' ),
            'subtitle'     => esc_html__( $subtitle,'rekko-core' ),
            'options'   => array(
                                'no_sidebar'=> esc_html__( 'No Sidebar','rekko-core' ), 
                                'left_sidebar' => esc_html__( 'Left Sidebar','rekko-core' ), 
                                'right_sidebar' => esc_html__( 'Right Sidebar','rekko-core' ), 


                            ),
            'default'   => 'right_sidebar',
        );
 	}
}
