<?php
namespace Elementor;
if (!defined('ABSPATH')) {
	exit;
}

$settings = $this->get_settings();

$active = '';

if($settings['service_active'] == 'yes')
{
	$active = 'active';
}


if (!empty($settings['title_text'])) {

	$title_html = $settings['title_text'];

} else {

	$title_html = "This is sample title";

}
if(!empty($settings['image']['url']))
{
	$bgimage = '<img src="'.esc_url($settings['image']['url']).'" alt="'.esc_attr(__('servicebox' , 'rekko-core')).'" />';
}
else
{
	$bgimage = '';
}
$banner = '<div class="qwords-service-box-hoverbg">'.$bgimage.'</div>';

$title = sprintf('<%2$s class="qwords-service-box-title">%1$s</%2$s>',$title_html,$settings['title_tag'] );
?>
<div class="qwords-service-box qwords-style-2 <?php echo $settings['content_align']; ?> <?php echo $active; ?>" >
		<?php echo $banner; ?>
   <div class="qwords-service-box-content">
      <div class="qwords-service-main-icon">
          <i class="<?php echo esc_attr($settings['selected_icon']['value']);?>"></i>
	    </div>
      <div class="qwords-service-box-info">
      	<?php echo $title; ?>
         <div class="qwords-service-box-description">
         		      <?php
	               	if(!empty($settings['desc_text']))
	               	{
	               		$desc_html = $this->parse_text_editor($settings['desc_text']);
	               	}
	               	else
	               	{
	               		$desc_html = "";
	               	}
	               	?>
            <p><?php echo $desc_html; ?></p>
         </div>
      </div>
   </div>
</div>