<?php
namespace Elementor;
if (!defined('ABSPATH')) {
    exit;
}
$html = '';
$settings = $this->get_settings();
$settings = $this->get_settings_for_display();


?>
<?php
if ($settings['team_style'] === '2')
{
?>
        <div class="qwords-team qwords-team-box-style-1 ">
            <div class="qwords-team-box">
                <div class="qwords-team-img">
                    <img src="<?php echo esc_url($settings['image']['url']); ?>" alt="team-image">
                    <div class="qwords-team-social">
                        <ul>
                            <?php
                            foreach ($settings['social_icon_lists'] as $ind => $items ) {
                                $social = str_replace( 'fa fa-', 'fab fa-', $items['social'] );
                                // print_r($social);
                                $link_key = 'link_' . $ind;
                                $this->add_render_attribute( $link_key, 'href', $items['link']['url'] );
                                if ( $items['link']['is_external'] ) {
                                    $this->add_render_attribute( $link_key, 'target', '_blank' );
                                }
                                if ( $items['link']['nofollow'] ) {
                                    $this->add_render_attribute( $link_key, 'rel', 'nofollow' );
                                }
                                ?>
                                <li>
                                    <a class="<?php echo $social ?>" <?php echo $this->get_render_attribute_string( $link_key ); ?>>
                                        <span class="sr-only"><?php echo ucwords( $social ); ?></span>
                                    </a>     
                                </li>
                                <?php } ?>
                        </ul>
                    </div>
                </div>
                <div class="qwords-team-info">
                    <span class="qwords-team-designation"><?php echo esc_html($settings['sub_title_text']); ?></span>
                   <h5 class="qwords-member-name"><?php echo esc_html($settings['title_text']); ?></h5>
               </div>
             </div>
        </div>
 <?php } ?>
