<?php
/**
	Custom Color
**/
add_action( 'wp_head', 'Rekko_color_style');
function Rekko_color_style()
{
	$qwords_options = get_option('qwords_options');
	$style = '';
	if(isset($qwords_options['pt_custom_color']) && $qwords_options['pt_custom_color'] == 'yes')
	{
		$style .= ':root {';
		if(!empty($qwords_options['pt_primary_color']))
		{
			$style .= '--primary-color: '.$qwords_options['pt_primary_color'].' !important;';
		}
		if(!empty($qwords_options['pt_secondary_color']))
		{
			$style .= '--secondary-color: '.$qwords_options['pt_secondary_color'].' !important;';
		}
		if(!empty($qwords_options['pt_dark_color']))
		{
			$style .= '--dark-color: '.$qwords_options['pt_dark_color'].' !important;';
		}
		if(!empty($qwords_options['pt_grey_color']))
		{
			$style .= '--grey-color: '.$qwords_options['pt_grey_color'].' !important;';
		}
		if(!empty($qwords_options['pt_white_color']))
		{
			$style .= '--white-color: '.$qwords_options['pt_white_color'].' !important;';
		}
		$style .= '}';

		wp_register_style( 'gt-color-style', false );
		wp_enqueue_style( 'gt-color-style' );

		wp_add_inline_style( 'gt-color-style', $style );
	}
}
?>