<?php
add_action( 'wp_head', 'rekko_core_banner_style');
add_action( 'wp_head', 'rekko_core_header_style');
add_action( 'wp_head', 'rekko_core_top_heder_style');
add_action( 'wp_head', 'rekko_core_loader_style');
add_action( 'wp_head', 'rekko_core_back_to_top_style');
add_action( 'wp_head', 'rekko_core_logo_style');
add_action( 'wp_head', 'rekko_core_top_menu_style');
add_action( 'wp_head', 'rekko_core_footer_style');



function rekko_core_footer_style()
{
	$qwords_options = get_option('qwords_options');

	//print_r($qwords_options);
	$css = array();

	if(function_exists('get_field') && get_field('field_QnFEb565') != 'inherit')
  	{
  		if(get_field('field_QnFEb565') == 'yes')
  		{
  			   $css[] = array (
				'element' => 'footer#qwords-footer',
				'property' => 'display',
				'value' =>  'none !important'
				);
  		}
  	}

	if(isset($qwords_options['footer_back_opt_switch']) && $qwords_options['footer_back_opt_switch'] != 'none')
	{
		if($qwords_options['footer_back_opt_switch'] == 'image')
		{
			if(!empty($qwords_options['footer_back_img']['url']))
			{
				$data = $qwords_options['footer_back_img']['url'];
				$css[] = array (
				'element' => 'footer#qwords-footer',
				'property' => 'background-image',
				'value' =>  'url('.$data.')!important'
				);
				$css[] = array (
				'element' => 'footer#qwords-footer',
				'property' => 'background-size',
				'value' =>  'cover !important'
				);
				$css[] = array (
				'element' => 'footer#qwords-footer',
				'property' => 'background-position',
				'value' =>  'center'
				);

			}
		}
		if($qwords_options['footer_back_opt_switch'] == 'color')
		{
			if(!empty($qwords_options['footer_back_color']))
			{
				$data = $qwords_options['footer_back_color'];
				$css[] = array (
				'element' => 'footer#qwords-footer',
				'property' => 'background',
				'value' => $data . '!important'
				);
			}
		}
	}
	if(count($css))
	{
		rekko_core_print_css($css);
	}
}
function rekko_core_top_menu_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();
	if(isset($qwords_options['menu_normal_color']) && !empty($qwords_options['menu_normal_color']))
	{
		$data = $qwords_options['menu_normal_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li a, header#qwords-header .qwords-bottom-header .navbar .navbar-nav li i',
		'property' => 'color',
		'value' => $data.'!important'
		);
	}
	if(isset($qwords_options['menu_hover_color']) && !empty($qwords_options['menu_hover_color']))
	{
		$data = $qwords_options['menu_hover_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li:hover a , header#qwords-header .qwords-bottom-header .navbar .navbar-nav li:hover i',
		'property' => 'color',
		'value' => $data.'!important'
		);
	}
	if(isset($qwords_options['menu_active_color']) && !empty($qwords_options['menu_active_color']))
	{
		$data = $qwords_options['menu_active_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li.current-menu-item a, header#qwords-header .qwords-bottom-header .navbar .navbar-nav li.current_page_item a,header#qwords-header .qwords-bottom-header .navbar .navbar-nav li.current-menu-item i, header#qwords-header .qwords-bottom-header .navbar .navbar-nav li.current_page_item i',
		'property' => 'color',
		'value' => $data.'!important'
		);
	}
	// sub menu color
	if(isset($qwords_options['sub_menu_normal_color']) && !empty($qwords_options['sub_menu_normal_color']))
	{
		$data = $qwords_options['sub_menu_normal_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li .sub-menu li a',
		'property' => 'color',
		'value' => $data.'!important'
		);
	}
	if(isset($qwords_options['sub_menu_hover_color']) && !empty($qwords_options['sub_menu_hover_color']))
	{
		$data = $qwords_options['sub_menu_hover_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li .sub-menu li a:hover',
		'property' => 'color',
		'value' => $data.'!important'
		);
	}
	if(isset($qwords_options['sub_menu_active_color']) && !empty($qwords_options['sub_menu_active_color']))
	{
		$data = $qwords_options['sub_menu_active_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li .sub-menu li.current-menu-item a',
		'property' => 'color',
		'value' => $data.'!important'
		);
	}

	if(isset($qwords_options['sub_menu_background_color']) && !empty($qwords_options['sub_menu_background_color']))
	{
		$data = $qwords_options['sub_menu_background_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li .sub-menu',
		'property' => 'background',
		'value' => $data.'!important'
		);
	}
	if(isset($qwords_options['sub_menu_background_active_color']) && !empty($qwords_options['sub_menu_background_active_color']))
	{
		$data = $qwords_options['sub_menu_background_active_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li .sub-menu li.current-menu-item a',
		'property' => 'background',
		'value' => $data.'!important'
		);
	}
	if(isset($qwords_options['sub_menu_background_hover_color']) && !empty($qwords_options['sub_menu_background_hover_color']))
	{
		$data = $qwords_options['sub_menu_background_hover_color'];
		$css[] = array (
		'element' => 'header#qwords-header .qwords-bottom-header .navbar .navbar-nav li .sub-menu li a:hover',
		'property' => 'background',
		'value' => $data.'!important'
		);
	}
	if(count($css))
	{
		rekko_core_print_css($css);
	}
}
function rekko_core_logo_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();
	if(isset($qwords_options['logo_type']))
	{
		if($qwords_options['logo_type'] == 'image')
        {
        	if(!empty($qwords_options['logo_url']['url']))
            {
            	if(!empty($qwords_options['logo_dimensions']['height']) && preg_match('~[0-9]+~',$qwords_options['logo_dimensions']['height']))
            	{
            		$data = $qwords_options['logo_dimensions']['height'];

            		$css[] = array (
					'element' => '#qwords-header img.logo',
					'property' => 'height',
					'value' => $data.'!important'
					);
            	}
            	if(!empty($qwords_options['logo_dimensions']['width']) && preg_match('~[0-9]+~',$qwords_options['logo_dimensions']['width']))
            	{
            		$data = $qwords_options['logo_dimensions']['width'];

            		$css[] = array (
					'element' => '#qwords-header img.logo',
					'property' => 'width',
					'value' => $data.'!important'
					);
            	}

            }
        }
        if($qwords_options['logo_type'] == 'text')
        {
        	if(!empty($qwords_options['header_logo_text']))
            {
            	if(!empty($qwords_options['header_logo_color']))
            	{
            		$data = $qwords_options['header_logo_color'];
            		$css[] = array (
					'element' => '#qwords-header .qwords-logo-text',
					'property' => 'color',
					'value' => $data.'!important'
					);
            	}

            }
        }
	}
	if(count($css))
	{
		rekko_core_print_css($css);
	}

}
function rekko_core_back_to_top_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();
	 if(isset($qwords_options['back_to_top']))
     {
        if($qwords_options['back_to_top'] == 'no')
        {

    		$css[] = array (
			'element' => '#back-to-top',
			'property' => 'display',
			'value' => 'none !important'
			);
        }
        if($qwords_options['back_to_top'] == 'yes')
        {

        	if(!empty($qwords_options['back_top_background_color']))
        	{

        			$data = $qwords_options['back_top_background_color'];
        			$css[] = array (
					'element' => '#back-to-top .top',
					'property' => 'background',
					'value' => $data . '!important'
					);


        	}
        	if(!empty($qwords_options['back_top_background_color_hover']))
        	{
        		$data = $qwords_options['back_top_background_color_hover'];
        		$css[] = array (
				'element' => '#back-to-top .top:hover',
				'property' => 'background',
				'value' => $data.'!important'
				);
        	}
        }

     }
  	if(count($css))
	{
		rekko_core_print_css($css);
	}
}
function rekko_core_loader_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();
	 if(!empty($qwords_options['loader_background_color']))
     {
        $data = $qwords_options['loader_background_color'];
    	$css[] = array (
		'element' => '#qwords-loading .qwords-loader-text',
		'property' => 'background',
		'value' => $data.'!important'
		);
     }

	if(isset($qwords_options['loader_switch']))
    {
    	if($qwords_options['loader_switch'] == 'text')
        {
        	if(!empty($qwords_options['loader_text']))
            {
            	$data = $qwords_options['loader_color'];
            	$css[] = array (
				'element' => '#qwords-loading .qwords-loader-text',
				'property' => 'color',
				'value' => $data.'!important'
				);
            }
        }
     	if($qwords_options['loader_switch'] == 'image')
        {

            if(!empty($qwords_options['background_loader']['url']))
            {
            	if(!empty($qwords_options['loader_dimensions']['height']) && preg_match('~[0-9]+~',$qwords_options['loader_dimensions']['height']))
            	{
            		$data = $qwords_options['loader_dimensions']['height'];

            		$css[] = array (
					'element' => '#qwords-loading img',
					'property' => 'height',
					'value' => $data.'!important'
					);
            	}
            	if(!empty($qwords_options['loader_dimensions']['width']) && preg_match('~[0-9]+~',$qwords_options['loader_dimensions']['width']))
            	{
            		$data = $qwords_options['loader_dimensions']['width'];

            		$css[] = array (
					'element' => '#qwords-loading img',
					'property' => 'width',
					'value' => $data.'!important'
					);
            	}

            }
        }
    }
    if(count($css))
	{
		rekko_core_print_css($css);
	}
}
function rekko_core_banner_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();

	if(function_exists('get_field') && get_field('field_QnF23') != 'inherit')
  	{
  		if(get_field('field_QnF23') == 'no')
  		{
  			    $css[] = array (
				'element' => '.content-area .site-main',
				'property' => 'padding',
				'value' =>  '0 !important;'
				);

  		}
  	}
  	if(function_exists('get_field') && get_field('field_QnFE45b565') != 'inherit')
  	{
  		if(get_field('field_QnFE45b565') == 'yes')
  		{

  	    $css[] = array (
		'element' => '.qwords-breadcrumb',
		'property' => 'display',
		'value' => 'none !important'
		);

  		}
  	}
	else if(isset($qwords_options['enable_banner']) && $qwords_options['enable_banner'] == 'no')
	{
		$css[] = array (
		'element' => '.qwords-breadcrumb',
		'property' => 'display',
		'value' => 'none !important'
		);
	}
	if(isset($qwords_options['display_breadcrumbs']) && $qwords_options['display_breadcrumbs'] == 'no')
	{
		$css[] = array (
		'element' => '.qwords-breadcrumb .qwords-breadcrumb-container',
		'property' => 'display',
		'value' => 'none !important'
		);
	}
	if(isset($qwords_options['breadcrumbs_color']) && !empty($qwords_options['breadcrumbs_color']))
	{
		$data = $qwords_options['breadcrumbs_color'];
		$css[] = array (
		'element' => '.qwords-breadcrumb-container .breadcrumb li a',
		'property' => 'color',
		'value' => $data . '!important'
		);
	}
	if(isset($qwords_options['breadcrumbs_hover_color']) && !empty($qwords_options['breadcrumbs_hover_color']))
	{
		$data = $qwords_options['breadcrumbs_hover_color'];
		$css[] = array (
		'element' => '.qwords-breadcrumb-container .breadcrumb li a:hover',
		'property' => 'color',
		'value' => $data . '!important'
		);
	}
	if(isset($qwords_options['breadcrumbs_active_color']) && !empty($qwords_options['breadcrumbs_active_color']))
	{
		$data = $qwords_options['breadcrumbs_active_color'];
		$css[] = array (
		'element' => '.qwords-breadcrumb-container .breadcrumb li.active',
		'property' => 'color',
		'value' => $data . '!important'
		);
	}
	if(isset($qwords_options['breadcrumbs_indicator_color']) && !empty($qwords_options['breadcrumbs_indicator_color']))
	{
		$data = $qwords_options['breadcrumbs_indicator_color'];
		$css[] = array (
		'element' => '.qwords-breadcrumb-container .breadcrumb .breadcrumb-item + .breadcrumb-item::before',
		'property' => 'color',
		'value' => $data . '!important'
		);
	}
	if(isset($qwords_options['display_title']) && $qwords_options['display_title'] == 'no')
	{
		$css[] = array (
		'element' => '.qwords-breadcrumb .qwords-breadcrumb-title',
		'property' => 'display',
		'value' => 'none !important'
		);
	}
	if(isset($qwords_options['title_color']) && !empty($qwords_options['title_color']))
	{
		$data = $qwords_options['title_color'];
		$css[] = array (
		'element' => '.qwords-breadcrumb-container .breadcrumb li',
		'property' => 'color',
		'value' => $data . '!important'
		);
	}

	if(isset($qwords_options['banner_back_type']))
	{
		if($qwords_options['banner_back_type'] == 'color')
		{
			if(!empty($qwords_options['banner_back_color']))
			{
				$data = $qwords_options['banner_back_color'];
				$css[] = array (
				'element' => '.qwords-breadcrumb',
				'property' => 'background',
				'value' => $data . '!important'
				);

			}
		}
		if($qwords_options['banner_back_type'] == 'image')
		{
			if(!empty($qwords_options['banner_image']['url']))
			{
				$data = $qwords_options['banner_image']['url'];
				$css[] = array (
				'element' => '.qwords-breadcrumb',
				'property' => 'background-image',
				'value' =>  'url('.$data.')!important'
				);
				$css[] = array (
				'element' => '.qwords-breadcrumb',
				'property' => 'background-size',
				'value' =>  'cover !important'
				);
				$css[] = array (
				'element' => '.qwords-breadcrumb',
				'property' => 'background-position',
				'value' =>  'center center !important'
				);
				$css[] = array (
				'element' => '.qwords-breadcrumb',
				'property' => 'background-repeat',
				'value' =>  'no-repeat !important'
				);
				$css[] = array (
				'element' => '.qwords-breadcrumb',
				'property' => 'background-attachment',
				'value' =>  'fixed !important'
				);
			}
		}
	}
	if(count($css))
	{
		rekko_core_print_css($css);
	}


}
function rekko_core_header_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();



	if(function_exists('get_field') && get_field('field_QnF1Eb565') != 'inherit')
  	{
  		if(get_field('field_QnF1Eb565') == 'yes')
  		{
  			   $css[] = array (
				'element' => 'header#qwords-header',
				'property' => 'display',
				'value' =>  'none !important'
				);

  		}
  	}
	if(isset($qwords_options['header_back_opt_switch']) && $qwords_options['header_back_opt_switch'] != 'none')
	{
		if($qwords_options['header_back_opt_switch'] == 'image')
		{
			if(!empty($qwords_options['header_back_img']['url']))
			{
				$data = $qwords_options['header_back_img']['url'];
				$css[] = array (
				'element' => 'header .qwords-bottom-header',
				'property' => 'background',
				'value' =>  'url('.$data.')!important'
				);
			}
		}
		if($qwords_options['header_back_opt_switch'] == 'color')
		{
			if(!empty($qwords_options['header_back_color']))
			{
				$data = $qwords_options['header_back_color'];
				$css[] = array (
				'element' => 'header .qwords-bottom-header',
				'property' => 'background',
				'value' => $data . '!important'
				);
			}
		}
		if($qwords_options['header_back_opt_switch'] == 'transparent')
		{

				$css[] = array (
				'element' => 'header .qwords-bottom-header',
				'property' => 'background',
				'value' => 'transparent !important'
				);

		}
		if($qwords_options['header_back_opt_switch'] == 'dark')
		{

				$css[] = array (
				'element' => 'header .qwords-bottom-header',
				'property' => 'background',
				'value' => 'black !important'
				);

		}
		if($qwords_options['header_back_opt_switch'] == 'white')
		{

				$css[] = array (
				'element' => 'header .qwords-bottom-header',
				'property' => 'background',
				'value' => 'white !important'
				);

		}

	}

	if(function_exists('get_field') && get_field('field_QnF1Ebspxx') != 'inherit')
  	{	
  		if(get_field('field_QnF1Ebspxx') == 'no')
  		{
  			$css[] = array (
			'element' => '#qwords-header .qwords-menu-search-block',
			'property' => 'display',
			'value' => 'none !important'
			);
  		}
    }
	elseif(isset($qwords_options['header_search_enable']) && $qwords_options['header_search_enable'] == 'no')
	{
		$css[] = array (
		'element' => '#qwords-header .qwords-menu-search-block a',
		'property' => 'display',
		'value' => 'none !important'
		);
	}

	if(isset($qwords_options['header_sidebar_enable']) && $qwords_options['header_sidebar_enable'] == 'no')
	{
		$css[] = array (
		'element' => 'header#qwords-header.qwords-header-style-1 .qwords-toggle-btn',
		'property' => 'display',
		'value' => 'none !important'
		);
	}


	if(function_exists('get_field') && get_field('field_QnF1Ebspp') != 'inherit')
  	{	
  		if(get_field('field_QnF1Ebspp') == 'no')
  		{
  			$css[] = array (
			'element' => '#qwords-header .qwords-btn-container',
			'property' => 'display',
			'value' => 'none !important'
			);
  		}
    }
	elseif(isset($qwords_options['header_action_enable']) && $qwords_options['header_action_enable'] == 'no')
	{
		$css[] = array (
		'element' => '#qwords-header .qwords-btn-container',
		'property' => 'display',
		'value' => 'none !important'
		);
	}



	if(isset($qwords_options['header_contact_enable']) && $qwords_options['header_contact_enable'] == 'no')
	{
		$css[] = array (
		'element' => '#qwords-header .qwords-header-call',
		'property' => 'display',
		'value' => 'none !important'
		);
	}
	if(isset($qwords_options['header_sidebar_enable']) && $qwords_options['header_sidebar_enable'] == 'yes')
    {

    	if(!empty($qwords_options['sidebar_logo']['url']))
        {
        	if(!empty($qwords_options['sidebar_logo_dimenation']['height']) && preg_match('~[0-9]+~',$qwords_options['sidebar_logo_dimenation']['height']))
        	{
        		$data = $qwords_options['sidebar_logo_dimenation']['height'];

        		$css[] = array (
				'element' => '.qwords-sidebar-header img.qwords-sidebar-logo',
				'property' => 'height',
				'value' => $data.'!important'
				);
        	}
        	if(!empty($qwords_options['sidebar_logo_dimenation']['width']) && preg_match('~[0-9]+~',$qwords_options['sidebar_logo_dimenation']['width']))
        	{
        		$data = $qwords_options['sidebar_logo_dimenation']['width'];

        		$css[] = array (
				'element' => '.qwords-sidebar-header img.qwords-sidebar-logo',
				'property' => 'width',
				'value' => $data.'!important'
				);
        	}

        }
    }	
    if(count($css))
	{
		rekko_core_print_css($css);
	}
}
function rekko_core_top_heder_style()
{
	$qwords_options = get_option('qwords_options');
	$css = array();
	if(isset($qwords_options['rekko_core_social_switch']))
	{
		if(!$qwords_options['rekko_core_social_switch'])
		{
			$css[] = array (
			'element' => 'header .qwords-top-header .qwords-header-social',
			'property' => 'display',
			'value' =>  'none !important'
			);

		}
	}
	if(isset($qwords_options['rekko_core_contact_switch']))
	{
		if(!$qwords_options['rekko_core_contact_switch'])
		{
			$css[] = array (
			'element' => 'header .qwords-top-header .qwords-header-contact',
			'property' => 'display',
			'value' =>  'none !important'
			);

		}
	}
	if(isset($qwords_options['top_header_enable']))
	{
		if($qwords_options['top_header_enable'] == 'no')
		{

			$css[] = array (
			'element' => 'header .qwords-top-header',
			'property' => 'display',
			'value' =>  'none !important'
			);

		}
	}
	if(isset($qwords_options['top_header_back_type']) && $qwords_options['enable_banner'] != 'none')
	{
		if($qwords_options['top_header_back_type'] == 'image')
		{
			if(!empty($qwords_options['top_header_back_img']['url']))
			{
				$data = $qwords_options['top_header_back_img']['url'];
				$css[] = array (
				'element' => 'header .qwords-top-header',
				'property' => 'background',
				'value' =>  'url('.$data.')!important'
				);
			}
		}
		if($qwords_options['top_header_back_type'] == 'color')
		{
			if(!empty($qwords_options['top_header_back_color']))
			{
				$data = $qwords_options['top_header_back_color'];
				$css[] = array (
				'element' => 'header .qwords-top-header',
				'property' => 'background',
				'value' => $data . '!important'
				);
			}
		}
		if($qwords_options['top_header_back_type'] == 'transparent')
		{

				$css[] = array (
				'element' => 'header .qwords-top-header',
				'property' => 'background',
				'value' => 'transparent !important'
				);

		}
		if($qwords_options['top_header_back_type'] == 'dark')
		{

				$css[] = array (
				'element' => 'header .qwords-top-header',
				'property' => 'background',
				'value' => 'black !important'
				);

		}
		if($qwords_options['top_header_back_type'] == 'white')
		{

				$css[] = array (
				'element' => 'header .qwords-top-header',
				'property' => 'background',
				'value' => 'white !important'
				);

		}
		if(isset($qwords_options['top_header_text_color']) && !empty($qwords_options['top_header_text_color']))
		{
			$data = $qwords_options['top_header_text_color'];
			$css[] = array (
			'element' => 'header .qwords-top-header ul li a',
			'property' => 'color',
			'value' => $data . '!important'
			);
		}
		if(isset($qwords_options['top_header_text_hover_color']) && !empty($qwords_options['top_header_text_hover_color']))
		{
			$data = $qwords_options['top_header_text_hover_color'];
			$css[] = array (
			'element' => 'header .qwords-top-header ul li a:hover',
			'property' => 'color',
			'value' => $data . '!important'
			);
		}
		if(isset($qwords_options['top_header_icon_color']) && !empty($qwords_options['top_header_icon_color']))
		{
			$data = $qwords_options['top_header_icon_color'];
			$css[] = array (
			'element' => 'header .qwords-top-header ul li i',
			'property' => 'color',
			'value' => $data . '!important'
			);
		}
		if(isset($qwords_options['top_header_icon_hover_color']) && !empty($qwords_options['top_header_icon_hover_color']))
		{
			$data = $qwords_options['top_header_icon_hover_color'];
			$css[] = array (
			'element' => 'header .qwords-top-header ul li i:hover',
			'property' => 'color',
			'value' => $data . '!important'
			);
		}


	}
	if(count($css))
	{
		rekko_core_print_css($css);
	}
}


function rekko_core_print_css($css)
{
	$str_result = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
$id = substr(str_shuffle(md5($str_result)),0, 5);

	echo '<style id="architeck-custom-style-'.$id.'">';
	foreach ( $css as $val ) {
        if ( ! empty( $val[ 'element' ] ) ) {
           echo  "\n" . esc_attr($val[ 'element' ]) . "{\n";
            echo esc_attr($val[ 'property' ]) . ":" . esc_attr($val[ 'value' ]) . ";\n";
            echo "}\n\n";
        }

        }
	echo '</style>';
}
?>